Get identity
GET /api/v1/partner/email/identities/:type/:valueReturns the current state of one identity, including a live
DNS-check overlay so you see real-time spf_ok / dkim_ok /
dmarc_ok flags reflecting what’s actually published right now.
Path parameters
| Field | Notes |
|---|---|
type | DOMAIN or EMAIL_ADDRESS |
value | The domain or email address |
Response
{
"success": true,
"identity": {
"identity_type": "DOMAIN",
"identity_value": "yourcompany.com",
"status": "VERIFIED",
"spf_ok": true,
"dkim_ok": true,
"dmarc_ok": true,
"dkim_selector": "splashify",
"verified_at": "2026-05-03T12:00:00Z",
"created_at": "2026-05-03T11:55:00Z",
"dns_records": {
"spf": {"pass": true, "found": "v=spf1 include:_spf.mail.splashifypro.com ~all", "expected": "..."},
"dkim": {"pass": true, "found": "CNAME splashify._domainkey.mail.splashifypro.com", "expected": "..."},
"dmarc": {"pass": true, "found": "v=DMARC1; p=quarantine; ...", "expected": "..."}
}
}
}cURL
curl https://apis.splashifypro.com/api/v1/partner/email/identities/DOMAIN/yourcompany.com \
-H "Authorization: Bearer $SPLASHIFY_API_KEY"